﻿@model Jumbula.Core.Model.Email.EmailViewModel
@{
    Layout = null;
}
<style>
    .k-clear-selected {
        display: none !important;
    }

    .k-upload-selected {
        display: none !important;
    }
</style>
@Styles.Render("~/Areas/Dashboard/Content/modal.css")

<form name="ParticipantEmail" novalidate enctype="multipart/form-data">
    <div class="view-container">
        <div class="title-bar">
            <div class="back">
                <a class="action" onclick="window.history.back()">
                    <i class="icon-arrow-left fg-black"></i>
                </a>
            </div>
            <div class="title">
                <h1 ng-show="Model.IsConfirmation">
                    Send email
                </h1>
                <h1 ng-show="!Model.IsConfirmation">
                    Send email
                </h1>
            </div>
            <div class="actions">
            </div>
            <div class="clearfix"></div>
            <hr />
        </div>
        <fieldset>
            <legend>Recipients</legend>
            <div class="double-scroll grid-support-menu" style="width: 100%;max-width: 100%;min-width: 100%;">

                <kendo-grid id="viewHistoryGrid" class="scroll resizable" options="recipientGridOptions"></kendo-grid>

                <div class="clearfix"></div>
            </div>
        </fieldset>
        <fieldset>

            <legend>Sender</legend>

            <label>From</label>
            <div>

                <div class="input-control select" data-role="input-control" @Html.AngValidationClassFor(model => model.From)>
                    <select ng-model="@Html.Ang(m => m.From)" name="selectedStaff" data-placeholder="Select From"
                            ng-options="obj.Text as obj.Text for obj in Model.FromList" @Html.AngTooltipValidationFor(model => model.From)></select>
                </div>
            </div>
            <div class="clearfix"></div>
            <label>Reply to</label>

            <div class="input-control select" data-role="input-control">
                <div>
                    <div class="input-control radio">
                        <div class="input-control radio default-style place-left no-margin" data-role="input-control">
                            <label class="block">
                                <input ng-model="@Html.Ang(model => model.IsReplyToEmailSet)" name="IsReplyToEmailSet" ng-value="false" type="radio" />
                                <span class="check"></span>
                                Enter email
                            </label>
                        </div>
                        <br />
                    </div>
                    <div class="input-control text" data-role="input-control" ng-show="!Model.IsReplyToEmailSet" @Html.AngValidationClassFor(model => model.ReplyTo)>
                        <input ng-model="@Html.Ang(m => m.ReplyTo)" name="From" type="text" @Html.AngTooltipValidationFor(model => model.ReplyTo)>

                    </div>
                    <div class="clearfix"></div>
                    <div class="input-control radio">
                        <div class="input-control radio default-style place-left no-margin" data-role="input-control">
                            <label class="block">
                                <input ng-model="@Html.Ang(m => m.IsReplyToEmailSet)" name="IsReplyToEmailSet" ng-value="true" type="radio" />
                                <span class="check"></span>
                                Select from listbox
                            </label>
                        </div>
                    </div>
                    <div class="input-control select" data-role="input-control" @Html.AngValidationClassFor(model => model.ReplyTo) ng-show="Model.IsReplyToEmailSet">
                        <select ng-model="@Html.Ang(m => m.ReplyTo)"
                                name="selectedStaff" data-placeholder="Select ReplyTo"
                                ng-options="obj.Text as obj.Text for obj in Model.ReplyToList" @Html.AngTooltipValidationFor(model => model.ReplyTo)></select>
                    </div>

                    <div class="clearfix"></div>
                </div>
            </div>

            <div class="clearfix"></div>
            <label style="display: inline">
                Cc list
            </label>

            <div class="input-control select" data-role="input-control">
                <div>
                    <div class="input-control radio">
                        <div class="input-control radio default-style place-left no-margin" data-role="input-control">
                            <label class="block">
                                <input ng-model="@Html.Ang(m => m.IsCcListEmailSet)" name="IsCcListEmailSet" ng-value="false" type="radio" />
                                <span class="check"></span>
                                Enter email
                            </label>
                        </div>
                        <br />
                    </div>
                    <div class="input-control text" data-role="input-control" ng-show="!Model.IsCcListEmailSet" @Html.AngValidationClassFor(model => model.Ccs)>
                        <input placeholder="Comma separated list of emails (example1@gmail.com, example2@gmail.com)" ng-model="@Html.Ang(m => m.Ccs)" name="From" type="text" @Html.AngTooltipValidationFor(model => model.Ccs)>
                    </div>
                    <div class="clearfix"></div>
                    <div class="input-control radio">
                        <div class="input-control radio default-style place-left no-margin" data-role="input-control">
                            <label class="block">
                                <input ng-model="@Html.Ang(m => m.IsCcListEmailSet)" name="IsCcListEmailSet" ng-value="true" type="radio" />
                                <span class="check"></span>
                                Select from listbox
                            </label>
                        </div>
                    </div>
                    <div class="input-control select" data-role="input-control" ng-show="Model.IsCcListEmailSet">
                        <select chosen multiple ng-model="@Html.Ang(m => m.Ccs)"
                                name="selectedStaff" data-placeholder="Select Cc"
                                ng-options="obj.Text as obj.Text for obj in Model.CcList"></select>
                    </div>

                    <div class="clearfix"></div>
                </div>
            </div>

            <div class="clearfix"></div>
            <label style="display: inline">
                Bcc list
            </label>

            <div class="input-control select" data-role="input-control">
                <div>
                    <div class="input-control radio">
                        <div class="input-control radio default-style place-left no-margin" data-role="input-control">
                            <label class="block">
                                <input ng-model="@Html.Ang(m => m.IsBccListEmailSet)" name="IsBccListEmailSet" ng-value="false" type="radio" />
                                <span class="check"></span>
                                Enter email
                            </label>
                        </div>
                        <br />
                    </div>
                    <div class="input-control text" data-role="input-control" ng-show="!Model.IsBccListEmailSet" @Html.AngValidationClassFor(model => model.Bccs)>
                        <input placeholder="Comma separated list of emails (example1@gmail.com, example2@gmail.com)" ng-model="@Html.Ang(m => m.Bccs)" name="From" type="text" @Html.AngTooltipValidationFor(model => model.Bccs)>
                    </div>
                    <div class="clearfix"></div>
                    <div class="input-control radio">
                        <div class="input-control radio default-style place-left no-margin" data-role="input-control">
                            <label class="block">
                                <input ng-model="@Html.Ang(m => m.IsBccListEmailSet)" name="IsBccListEmailSet" ng-value="true" type="radio" />
                                <span class="check"></span>
                                Select from listbox
                            </label>
                        </div>
                    </div>
                    <div class="input-control select" data-role="input-control" ng-show="Model.IsBccListEmailSet">
                        <select chosen multiple ng-model="@Html.Ang(m => m.Bccs)"
                                name="selectedStaff" data-placeholder="Select Bcc"
                                ng-options="obj.Text as obj.Text for obj in Model.BccList"></select>
                    </div>

                    <div class="clearfix"></div>
                </div>
            </div>


            <div class="clearfix"></div>
            <label class="req-star">Subject</label>
            <div class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model => model.Subject)>
                <input type="text" ng-model="@Html.Ang(m => m.Subject)" @Html.AngTooltipValidationFor(model => model.Subject)>
            </div>
        </fieldset>

        <fieldset>
            <legend>Email body</legend>
            <label>Choose email style</label>
            <div class="input-control select" data-role="input-control">
                <div>
                    <div class="input-control radio">
                        <div class="input-control radio default-style place-left no-margin" data-role="input-control">
                            <label class="block">
                                <input ng-model="Model.HasTemplate" id="PlainText" name="emailStyle" value="Text" type="radio" ng-value="false" />
                                <span class="check"></span>
                                Plain text<br />
                                <p><i>Send with a simple plain-text email.</i></p>
                            </label>
                        </div>
                        <br />
                        <div class="input-control radio default-style place-left no-margin" data-role="input-control">
                            <label class="block">
                                <input ng-model="Model.HasTemplate" name="emailStyle" id="HTML" value="Template" type="radio" ng-value="true" />
                                <span class="check"></span>
                                HTML<br />
                                <p><i>Send with a HTML template.</i></p>
                            </label>
                        </div>
                    </div>
                    <hr />
                    <div class="clearfix"></div>
                </div>
            </div>

            <div ng-if="Model.HasTemplate">
                <label>Choose from template</label>
                <div class="input-control select" data-role="input-control" @Html.AngValidationClassFor(model => model.TemplateId)>
                    <div @Html.AngTooltipValidationFor(model => model.TemplateId)>
                        <select ng-model="Model.TemplateId"
                                ng-change="ChangeTemplate(Model.TemplateId)"
                                ng-options="temp.Value as temp.Text for temp in Model.TemplateNames" id="Templates"></select>
                    </div>
                </div>
                <div ng-show="Model.TemplateId == null">
                    <label class="req-star">New template name</label>
                    <div class="input-control text" data-role="input-control" @Html.AngValidationClass("MailTemplate.NewName")>
                        <div data-original-title="{{MC.joinStringsWithBreak(errors.formErrors['model.MailTemplate.NewName'].Messages)}}">
                            <input type="text" id="NewName" ng-model="Model.MailTemplate.NewName">
                        </div>
                    </div>
                </div>
                <div class="clearfix margin-bottom20"></div>

                <div data-role="input-control">
                    <div ng-include="'/Dashboard/Email/GetView/_EmailTemplateDesigner'"></div>
                </div>
            </div>

            <div ng-if="Model.HasTemplate == false">
                <div class="editor-body" id="bodyeditor" ng-class="{'error-state':MC.isEmpty(errors.formErrors['model.Body'].Messages)}">
                    <div ng-hide="MC.stateParams.templateId || MC.stateParams.templateId == ''" data-toggle="tooltip" data-placement="top" data-original-title="{{MC.joinStringsWithBreak(errors.formErrors['model.Body'].Messages)}}" jb-tooltip data-html="true">
                        <textarea id="editor" kendo-editor k-tools="['fontName','bold','italic','underline','strikethrough','fontSize','justifyLeft','justifyCenter','justifyRight','justifyFull','foreColor','insertUnorderedList','insertOrderedList','indent','outdent','createLink','unlink','insertImage','cleanFormatting','backColor']" k-ng-model="Model.Body"></textarea>
                    </div>
                </div>

            </div>
        </fieldset>

        <fieldset>
            @*demo-section*@
            <div class="k-content">
                <div>
                    <h4>Attachments</h4>
                    <input name="model"
                           id="files"
                           type="file"
                           kendo-upload
                           k-async="{ saveUrl: '/Dashboard/Email/UploadFile', removeUrl: 'remove', autoUpload: false,multiple: true }"
                           k-validation="{maxFileSize: 10485760}"
                           k-select="onSelect"
                           k-complete="onComplete"
                           k-success="onSuccess"
                           accept="image/*,video/*,.JPEG,.JPG,.GIF,.TIFF,.TIF,.PNG,.ICO,.SVG,.AI,.CDR,.PSD,.dwg,.3ds,.txt,.PDF,.doc,.docx,.dot,.dotx,.xls,.xlsx,.xml,.xlsb,.pot,.pps,.ppt,.pptx,.mpp,.mp3,.wma" />
                </div>
            </div>
        </fieldset>


        <a class="place-left button link large" id="CancelNotification" onclick="window.history.back()">Cancel</a>

        <button type="submit" style="font-size: 16.5px !important;" class="success large place-right button" id="SendNotification" ng-click="SendEmail()">Send</button>
        <button style="margin-right: 9px;" class="info place-right large inline-block button" ng-click="PreviewEmail()">Preview</button>
        <div class="clearfix"></div>
    </div>
</form>

<div ng-if="isShowPreviewPopup" ng-class="{'active':isShowPreviewPopup}" id="previewEmail" class="jb-confirm modal jb-confirm-popup">
    <div>
        <div class="modal-content">
            <div ng-click="dismissPreviewPopup()" style="padding: 10px; position: absolute; right: 0; top: 0">
                <a style="color: #8a8989" href="" class="jbi-cancel"></a>
            </div>
            <div compile="previewText2"></div>
        </div>
    </div>
</div>